%define soname  2.5
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Name:           sfml
Version:        2.5.1
Release:        %mkrel 2
Summary:        Multimedia C++ API providing access to graphics, input, audio, etc
Group:          Development/C++
License:        zlib
URL:            http://www.sfml-dev.org
# Repacked to get rid of ./extlibs dir containing Windows and Mac binaries
# mv extlibs/headers/stb_image . && rm -rf extlibs
# mkdir -p extlibs/headers && mv stb_image extlibs/headers
#Source0:        http://www.sfml-dev.org/files/SFML-%{version}-sources.zip
Source0:        SFML-%{version}.tar.xz

Patch0:         sfml-2.5.0-window-link-pthread.patch

Obsoletes:      sfml2 < 2.1-9

BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xrandr)

%description
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
SFML is a portable and easy to use multimedia API written in C++.
You can see it as a modern, object-oriented alternative to SDL.

SFML is composed of several packages to perfectly suit your needs.
You can use SFML as a minimal windowing system to interface with OpenGL,
or as a fully-featured multimedia library for building games or
interactive programs.

%files -n %{libname}
%{_libdir}/libsfml-*.so.%{soname}{,.*}

#----------------------------------------------------------------------

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
#--- Previous devel packages from SFML 1.6
Obsoletes:  %{_lib}sfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}sfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}sfml-network-devel < 1.6-11
Obsoletes:  %{_lib}sfml-system-devel < 1.6-11
Obsoletes:  %{_lib}sfml-window-devel < 1.6-11
Obsoletes:  %{_lib}csfml-audio-devel < 1.6-11
Obsoletes:  %{_lib}csfml-graphics-devel < 1.6-11
Obsoletes:  %{_lib}csfml-network-devel < 1.6-11
Obsoletes:  %{_lib}csfml-system-devel < 1.6-11
Obsoletes:  %{_lib}csfml-window-devel < 1.6-11
Obsoletes:  %{_lib}sfml-devel < 1.6-11
Obsoletes:  %{_lib}csfml-devel < 1.6-11
Provides:   sfml-audio-devel
Provides:   sfml-graphics-devel
Provides:   sfml-network-devel
Provides:   sfml-system-devel
Provides:   sfml-window-devel
Provides:   csfml-audio-devel
Provides:   csfml-graphics-devel
Provides:   csfml-network-devel
Provides:   csfml-system-devel
Provides:   csfml-window-devel
Provides:   csfml-devel
#---
Obsoletes:  %{_lib}sfml2-devel < 2.1-9
Provides:   %{_lib}sfml2-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes files for developing programs based on %{name}

%files -n %{devname}
%doc changelog.md readme.md examples/
%license license.md
%{_includedir}/SFML/
%{_libdir}/libsfml-*.so
%{_libdir}/cmake/SFML/
%{_libdir}/pkgconfig/sfml-*.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n SFML-%{version}

sed -i cmake/Macros.cmake -e 's|lib/cmake|%{_lib}/cmake|'

%build
%cmake -DSFML_INSTALL_PKGCONFIG_FILES=TRUE
%cmake_build

%install
%cmake_install

# doc, we packaged it in %%files
rm -rf %{buildroot}%{_datadir}/SFML


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.5.1-2.mga8
+ Revision: 1522916
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Feb 13 2019 akien <akien> 2.5.1-1.mga7
+ Revision: 1366551
- Version 2.5.1

* Sat Jan 26 2019 daviddavid <daviddavid> 2.5.0-3.mga7
+ Revision: 1360965
- add upstream to xix compilation with glxext header versions >=20180525

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-2.mga7
+ Revision: 1301009
- Mageia 7 Mass Rebuild

* Tue May 15 2018 akien <akien> 2.5.0-1.mga7
+ Revision: 1229715
- Version 2.5.0

* Fri Sep 29 2017 cjw <cjw> 2.4.2-2.mga7
+ Revision: 1161458
- rebuild with gcc 7

* Sun Feb 12 2017 akien <akien> 2.4.2-1.mga6
+ Revision: 1085913
- Version 2.4.2

* Sun Nov 13 2016 akien <akien> 2.4.1-1.mga6
+ Revision: 1067054
- Version 2.4.1, major 2.4

* Tue Jan 12 2016 akien <akien> 2.3.2-1.mga6
+ Revision: 922163
- Version 2.3.2

* Sat Aug 22 2015 akien <akien> 2.3-3.mga6
+ Revision: 868121
- Rebuild for gcc 5.2.1

* Thu Jun 25 2015 fwang <fwang> 2.3-2.mga6
+ Revision: 842813
+ rebuild (emptylog)

* Wed Jun 24 2015 akien <akien> 2.3-1.mga6
+ Revision: 842155
- Version 2.3
  o sndfile is dropped, and ogg, flac and vorbis are used instead
  o GLU is dropped (since 2.1)
  o GLEW is replaced by glLoadGen loader

* Sun Feb 08 2015 akien <akien> 2.2-1.mga5
+ Revision: 814212
- Version 2.2
- Do not build and package the documentation

* Sat Jan 31 2015 akien <akien> 2.1-9.mga5
+ Revision: 812928
- Obsolete sfml2 SRPM
- Drop hack to make SFML2 parallel installable with SFML1.6, the latter was dropped
- Obsolete all previous SFML1.6 devel packages
- Rename to "sfml", the previous sfml 1.6 package has been obsoleted

* Wed Oct 15 2014 umeabot <umeabot> 2.1-8.mga5
+ Revision: 739140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-7.mga5
+ Revision: 689125
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 2.1-6.mga5
+ Revision: 670280
- rebuild for glew

* Thu Jan 02 2014 danf <danf> 2.1-5.mga4
+ Revision: 563941
- Added glxcontextid.patch to add missing typedef
+ blue_prawn <blue_prawn>
- rebuild to check issue with glxext.h reported by Pascal Terjan

* Sat Oct 19 2013 umeabot <umeabot> 2.1-4.mga4
+ Revision: 533613
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 blue_prawn <blue_prawn> 2.1-3.mga4
+ Revision: 474085
- build requires doxygen
- added doxygen generated API documentation

* Tue Aug 13 2013 wally <wally> 2.1-2.mga4
+ Revision: 466217
- fix devel pkg name
- add more strict provides and requires

* Thu Aug 08 2013 blue_prawn <blue_prawn> 2.1-1.mga4
+ Revision: 464698
- updated to last version 2.1

* Fri Jul 26 2013 sander85 <sander85> 2.0-5.mga4
+ Revision: 458678
- Rebuild for new glew

* Wed Jun 05 2013 neoclust <neoclust> 2.0-4.mga4
+ Revision: 437476
- Add fedora patch to make sfml2 and sfml co installable

* Mon Jun 03 2013 neoclust <neoclust> 2.0-3.mga4
+ Revision: 435920
- Fix devel package name

* Mon Jun 03 2013 fwang <fwang> 2.0-2.mga4
+ Revision: 435489
- correct libname

* Tue May 07 2013 blue_prawn <blue_prawn> 2.0-1.mga4
+ Revision: 412443
- build requires libjpeg
- build requires glew
- build requires cmake
- imported package sfml2

